%define         major           0
%define         libname         %mklibname ofa %{major}
%define         develname       %mklibname ofa -d

Summary:        Open Fingerprint Architecture library
Name:           libofa
Version:        0.9.3
Release:        %mkrel 25
License:        GPLv2
Group:          System/Libraries
URL:            https://code.google.com/p/musicip-libofa/
Source0:        http://musicip-libofa.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:         libofa-build-fix.patch
Patch1:         libofa-gcc47.diff
Patch2:         libofa-0.9.3-pkgconfig-drop-expat.patch
#fix missing curl/types.h (from OpenSuse)
Patch3:         libofa-curl-types.patch
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(expat)

%description
%{summary}



%package -n     %{libname}
Summary:        Open Fingerprint Architecture library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
A client library that looks up and identifies audio files based on
existing fingerprints, created and provided by MusicIP.



%package -n     %{develname}
Summary:        Files needed for developing applications which use libofa
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
###Obsoletes:   #mklibname ofa 0 -d < 0.9.0

%description -n %{develname}
The %{name}-devel package includes the header files and .so libraries
necessary for developing libofa enabled tagging applications. If you
are going to develop libofa enabled tagging applications you should
install %{name}-devel. You'll also need to have the %{name} package
installed.



%prep
%setup -q
%patch -P 0 -p0
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p0


%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build


%install
%make_install

find %{buildroot}%{_libdir} -name *.la -delete


%files -n %{libname}
%doc AUTHORS README COPYING
%{_libdir}/*.so.%{major}{,.*}


%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/libofa.pc
%{_libdir}/*.so


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.9.3-25.mga10
+ Revision: 2127815
- Rebuild for patchN deprecation

* Thu Mar 31 2022 umeabot <umeabot> 0.9.3-24.mga9
+ Revision: 1837540
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.9.3-23.mga8
+ Revision: 1514338
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.3-22.mga7
+ Revision: 1299061
- Mageia 7 Mass Rebuild

* Thu Jul 19 2018 wally <wally> 0.9.3-21.mga7
+ Revision: 1244372
- drop static devel pkg

* Wed Jan 13 2016 gw666 <gw666> 0.9.3-20.mga6
+ Revision: 922449
- rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-19.mga6
+ Revision: 751032
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-18.mga5
+ Revision: 681670
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.3-17.mga4
+ Revision: 507229
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-16.mga3
+ Revision: 357898
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 gw666 <gw666> 0.9.3-15.mga3
+ Revision: 329885
- update the patch for stricter gcc

* Sat Dec 10 2011 eatdirt <eatdirt> 0.9.3-15.mga2
+ Revision: 180356
- Rebuilt for fftw-3.3
  New patch to fix compilation failure due to missing curl/types.h

* Wed Jan 19 2011 ahmad <ahmad> 0.9.3-14.mga1
+ Revision: 24981
- drop old/unneeded scriptlets
- imported package libofa

